.desktop-only { display: none;}

main {
  padding: 10px;
  overflow-x: hidden;
}

#hero {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 3em;
  height: 600px;
  width: 100%;

  picture {
    position: absolute;
    top: 0;
    width: 100%;

    img {
      width: 100%;
      height: 600px;
      object-fit: cover;
      border-radius: 60px;
    }
  }

  .left-con {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 2em;
    z-index: 2;

    h1 {
      font-size: 2.5em;
      color: var(--color-txt-inverse);
      max-width: 450px;
      line-height: 1.2;
      text-align: center;
      display: flex;
      flex-direction: column;

      span {
        background: linear-gradient(135deg, #1B4332 0%, #2D6A4F 20%, #52B788 40%, #74C69D 60%, #B7E4C7 80%, #EAF5E9 100%);
        letter-spacing: 5px;
        -webkit-background-clip: text;
        background-clip: text;
        -webkit-text-fill-color: transparent;
        font-family: "Damion", sans-serif;
      }
    }

    p {
      color: oklch(from var(--color-txt-inverse) calc(l - 0.2) c h);
      font-size: 10px;
      line-height: 1.5;
      text-align: center;
    }
  }

  .right-con {
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    z-index: 2;
    width: 90%;
    height: max-content;
    background-color: var(--color-bg-surface);
    border-radius: 2.5em;
    padding: 1em 2em;

    #filterBar {
      display: flex;
      flex-direction: column;
      gap: 1em;
      width: 100%;

      .locations-con {
        display: flex;
        align-items: center;
        justify-content: start;
        flex-wrap: wrap;
        width: 100%;
        gap: 0.5em;

        .location-inpt {
          display: flex;
          flex-direction: column;
          gap: 0.3rem;
          position: relative;
          width: 100%;

          label {
            font-size: 13px;
            color: var(--color-txt-secondary);
          }

          img {
            position: absolute;
            top: 55%;
            left: 0.5rem;
            width: 1rem;
            height: 1rem;
          }

          input {
            padding: 0.5rem 0rem 0.5rem 2rem;
            height: 35px;
            border: 1px solid var(--color-border);
            border-radius: 10px;
            background-color: oklch(from var(--color-bg-surface) calc(l - 0.01) c h);

            &:focus {
              outline: none;
              border-color: var(--color-primary);
            }
          }
        }

        .dropoff-check {
          display: flex;
          align-items: center;
          justify-content: center;
          gap: 0.3rem;
          margin-top: 1.2em;

          label {
            font-size: 13px;
            color: var(--color-txt-secondary);
          }
        }
      }
      .date-time-con {
        display: flex;
        flex-direction: column;
        align-items: start;
        gap: 1rem;
        width: 100%;

        .date-time {
          display: flex;
          gap: 0.5em;
          width: 100%;

          .date {
            position: relative;
            display: flex;
            flex-direction: column;
            gap: 0.5rem;
            width: 50%;

            label {
              font-size: 13px;
              color: var(--color-txt-secondary);
            }

            img {
              position: absolute;
              top: 55%;
              left: 0.5rem;
              width: 1rem;
              height: 1rem;
            }

            input {
              padding-left: 2.5em;
              width: 100%;
              height: 35px;
              border: 1px solid var(--color-border);
              border-radius: 10px;
              background-color: oklch(from var(--color-bg-surface) calc(l - 0.01) c h);

              &:focus {
                outline: none;
                border-color: var(--color-primary);
              }
            }
            }

          .time {
            display: flex;
            position: relative;
            flex-direction: column;
            gap: 0.5rem;
            width: 50%;

            label {
              font-size: 13px;
              color: var(--color-txt-secondary);
            }

            img {
              position: absolute;
              top: 55%;
              left: 0.5rem;
              width: 1rem;
              height: 1rem;
            }

            ;

            select {
              padding: 0.5rem 1.5rem 0.5rem 2rem;
              width: 100%;
              height: 35px;
              border: 1px solid var(--color-border);
              border-radius: 10px;
              background-color: oklch(from var(--color-bg-surface) calc(l - 0.01) c h);
              color: var(--color-txt-primary);
              cursor: pointer;

              &:focus {
                outline: none;
                border-color: var(--color-primary);
              }
            }
          }
        }
      }
      button {
        margin-top: 0.5rem;
        padding: 0.75rem;
        width: 100%;
        border: none;
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 1em;
        border-radius: 15px;
        background-color: var(--color-primary);
        color: var(--color-txt-inverse);
        font-size: 16px;
        cursor: pointer;
        transition: background-color 0.2s ease;

        &:hover {
          background-color: var(--color-primary-hover);
        }
      }
    }
  }
}

#certifications {
  margin-top: 2em;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1em;
  position: relative;

  .certification-wrapper {
    width: 60em;
    overflow: hidden;
    display: flex;
    align-items: start;
    justify-content: start;

    &::-webkit-scrollbar {
      display: none;
    }

    .certification-carousel {
      display: flex;
      flex-shrink: 0;
      gap: 1em ;
      animation: scroll 20s linear infinite;
      padding-right: 1em;

      .certification-card {
        padding: 0.5em 4em;
        flex: 0 0 auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 1em;
        border: 1px solid var(--color-border);
        border-radius: 25px;

        img {
          width: 30px;
        }

        p {
          font-size: 15px;
        }
      }
    }
  }
}

#about {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2em;
  margin-top: 4em;
  background-color: var(--color-bg-subtle);
  padding: 2em 0em;
  border-radius: 2em;

  .about-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.5em;

    h1 { font-size: 1.3em;}
    p { font-size: 11px; text-align: center;}
    div {
      background-color: var(--color-primary);
      width: 40px;
      height: 40px;
      display: flex;
      align-items: center;
      justify-content: center;
      border-radius: 15px;

      img {
        width: 20px;
      }
    }
  }
}

#reviews {
  margin: 10px;
  height: fit-content;
  margin-top: 3em;
  text-align: center;
  display: flex;
  flex-direction: column;
  gap: 3em;
  position: relative;

  .review-con {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    flex-shrink: 0;
    align-items: center;
    justify-content: start;
    padding: 1em;
    overflow-x: scroll;
    gap: 1em;

    &::-webkit-scrollbar {
      display: none;
    }
  }
  .review-card {
    flex: 0 0 22em;
    position: relative;
    display: flex;
    flex-direction: column;
    background-color: var(--color-bg-surface);
    align-items: center;
    justify-content: start;
    height: 200px;
    width: 22em;
    padding: 1em 2em;
    border-radius: 40px;
    box-shadow: 0 3px 10px rgba(0, 0, 0, 0.062);

    p {
      margin-top: 2em;
    }
    
    .user-con {
      position: absolute;
      bottom: 1em;
      left: 1em;
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 1em;

      h1 {
        width: 40px;
        height: 40px;
        border-radius: 50%;
        background-color: var(--color-secondary);
        color: var(--color-txt-secondary);
        font-size: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
      }

      .user {
        display: flex;
        flex-direction: column;
        align-items: start;
        justify-content: center;

        h2 {
          font-size: 18px;
        }

        img { width: 12px;}
      }
    }
  }
  .review-info {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 5em;
    div {
      h1 {
        background: linear-gradient(31deg,rgba(45, 106, 79, 0.89) 0%, rgba(28, 100, 88, 1) 20%, rgba(19, 94, 94, 0.86) 40%, rgba(25, 87, 96, 1) 60%, rgba(37, 79, 94, 1) 80%, rgba(47, 72, 88, 0.87) 100%);
        -webkit-background-clip: text;
        background-clip: text;
        -webkit-text-fill-color: transparent;
        font-size: 2.3em;
      }
      p {
        font-size: 14px;
      }
    }
  }
}

@keyframes scroll {
  0%   { transform: translateX(0); }
  to { transform: translateX(-100%); }
}

@media screen and (min-width: 1024px) {
  .mobile-only {display: none;}
  .desktop-only {display: block;}

  #hero {
    height: 22em;
    width: 100%;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;

    picture img { height: 22em;}

    .left-con {
      h1 { font-size: 3.5em;}

      p { font-size: 1em;}
    }

    .right-con {
      width: 38.5em;
      left: 0;
      transform: translateX(0);

      #filterBar {
        .location-inpt { width: 49% !important;}
        .date-time-con {
          display: flex;
          flex-direction: row;
          .date-time { gap: 0.5em;}
        }
      }
    }
  }
  .certification-wrapper {
    width: 90% !important;
  }
  #about {
    flex-direction: row;
    gap: 10em;
  }
  .review-con { justify-content: center !important;}
}

@media screen and (min-width: 1500px) {
  
  #hero {
    height: 31em;
    picture img { height: 31em;}
    .right-con { 
      height: fit-content;
      .date-time-con {
        width: 100%;
        .date-time {
          flex-direction: column;
          width: 100%;
          .date {
            width: 100% !important;
          }
          .time {
            width: 100% !important;
          }
        }
      }
      button { margin-top: 10em;}
    }
  }

  #about { 
    .about-card {
      h1 { font-size: 2em;}
      p { font-size: 1em;}
    }
  }
  .review-info {
    gap: 10em !important;
  }
}